# -*- coding:utf-8 -*-
import json

import cv2
import numpy as np

image = cv2.imread(r"C:\Users\86131\Desktop\4.jpg", cv2.IMREAD_GRAYSCALE)


def get_data():
    with open("log.txt", "r", encoding="utf-8") as f:
        try:
            data = json.loads(f.read())
        except json.decoder.JSONDecodeError:
            print("暂时用测试ocr_data")
            data = {'words_result': [{'chars': [{'char': '请', 'location': {'top': 286, 'left': 98, 'width': 16, 'height': 23}},
                                                {'char': '写', 'location': {'top': 286, 'left': 117, 'width': 11, 'height': 22}},
                                                {'char': '出', 'location': {'top': 286, 'left': 131, 'width': 11, 'height': 22}},
                                                {'char': '词', 'location': {'top': 286, 'left': 145, 'width': 15, 'height': 22}},
                                                {'char': '义', 'location': {'top': 286, 'left': 162, 'width': 12, 'height': 22}},
                                                {'char': '，', 'location': {'top': 285, 'left': 175, 'width': 11, 'height': 23}},
                                                {'char': '再', 'location': {'top': 285, 'left': 187, 'width': 18, 'height': 23}},
                                                {'char': '对', 'location': {'top': 285, 'left': 207, 'width': 16, 'height': 23}},
                                                {'char': '照', 'location': {'top': 285, 'left': 225, 'width': 15, 'height': 22}},
                                                {'char': '筛', 'location': {'top': 285, 'left': 243, 'width': 11, 'height': 22}},
                                                {'char': '查', 'location': {'top': 284, 'left': 256, 'width': 15, 'height': 23}},
                                                {'char': '表', 'location': {'top': 284, 'left': 274, 'width': 11, 'height': 23}},
                                                {'char': '批', 'location': {'top': 284, 'left': 287, 'width': 16, 'height': 23}},
                                                {'char': '改', 'location': {'top': 284, 'left': 305, 'width': 11, 'height': 22}},
                                                {'char': '。', 'location': {'top': 284, 'left': 318, 'width': 11, 'height': 22}},
                                                {'char': '词', 'location': {'top': 284, 'left': 330, 'width': 17, 'height': 22}},
                                                {'char': '义', 'location': {'top': 283, 'left': 350, 'width': 15, 'height': 23}},
                                                {'char': '顺', 'location': {'top': 283, 'left': 368, 'width': 15, 'height': 23}},
                                                {'char': '序', 'location': {'top': 283, 'left': 385, 'width': 12, 'height': 23}},
                                                {'char': '可', 'location': {'top': 283, 'left': 399, 'width': 11, 'height': 22}},
                                                {'char': '互', 'location': {'top': 283, 'left': 413, 'width': 15, 'height': 22}},
                                                {'char': '换', 'location': {'top': 283, 'left': 430, 'width': 12, 'height': 22}},
                                                {'char': '；', 'location': {'top': 283, 'left': 443, 'width': 11, 'height': 22}},
                                                {'char': '答', 'location': {'top': 282, 'left': 455, 'width': 8, 'height': 23}},
                                                {'char': '案', 'location': {'top': 282, 'left': 466, 'width': 14, 'height': 23}},
                                                {'char': '意', 'location': {'top': 282, 'left': 483, 'width': 11, 'height': 23}},
                                                {'char': '思', 'location': {'top': 282, 'left': 497, 'width': 14, 'height': 22}},
                                                {'char': '相', 'location': {'top': 282, 'left': 514, 'width': 12, 'height': 22}},
                                                {'char': '符', 'location': {'top': 282, 'left': 528, 'width': 15, 'height': 22}},
                                                {'char': '即', 'location': {'top': 281, 'left': 546, 'width': 11, 'height': 23}},
                                                {'char': '可', 'location': {'top': 281, 'left': 559, 'width': 15, 'height': 23}},
                                                {'char': '，', 'location': {'top': 281, 'left': 576, 'width': 11, 'height': 23}},
                                                {'char': '不', 'location': {'top': 281, 'left': 588, 'width': 18, 'height': 22}},
                                                {'char': '要', 'location': {'top': 281, 'left': 608, 'width': 15, 'height': 22}},
                                                {'char': '求', 'location': {'top': 281, 'left': 626, 'width': 11, 'height': 22}},
                                                {'char': '一', 'location': {'top': 280, 'left': 639, 'width': 15, 'height': 23}},
                                                {'char': '字', 'location': {'top': 280, 'left': 657, 'width': 11, 'height': 23}},
                                                {'char': '不', 'location': {'top': 280, 'left': 671, 'width': 11, 'height': 22}},
                                                {'char': '差', 'location': {'top': 280, 'left': 685, 'width': 15, 'height': 22}},
                                                {'char': '。', 'location': {'top': 280, 'left': 701, 'width': 11, 'height': 22}},
                                                {'char': '批', 'location': {'top': 280, 'left': 713, 'width': 18, 'height': 22}},
                                                {'char': '改', 'location': {'top': 279, 'left': 733, 'width': 15, 'height': 23}},
                                                {'char': '结', 'location': {'top': 279, 'left': 751, 'width': 11, 'height': 23}},
                                                {'char': '果', 'location': {'top': 279, 'left': 765, 'width': 11, 'height': 22}},
                                                {'char': '眷', 'location': {'top': 279, 'left': 779, 'width': 14, 'height': 22}},
                                                {'char': '抄', 'location': {'top': 279, 'left': 796, 'width': 15, 'height': 22}},
                                                {'char': '到', 'location': {'top': 278, 'left': 813, 'width': 12, 'height': 23}},
                                                {'char': '筛', 'location': {'top': 278, 'left': 828, 'width': 15, 'height': 23}},
                                                {'char': '查', 'location': {'top': 278, 'left': 845, 'width': 11, 'height': 23}},
                                                {'char': '表', 'location': {'top': 278, 'left': 859, 'width': 11, 'height': 22}},
                                                {'char': '。', 'location': {'top': 278, 'left': 873, 'width': 9, 'height': 22}}],
                                      'words': '请写出词义，再对照筛查表批改。词义顺序可互换；答案意思相符即可，不要求一字不差。批改结果眷抄到筛查表。',
                                      'location': {'top': 278, 'left': 98, 'width': 783, 'height': 31}}, {
                                         'chars': [{'char': '1', 'location': {'top': 325, 'left': 79, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 325, 'left': 86, 'width': 7, 'height': 15}},
                                                   {'char': 'b', 'location': {'top': 325, 'left': 93, 'width': 7, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 325, 'left': 102, 'width': 7, 'height': 15}},
                                                   {'char': 'd', 'location': {'top': 325, 'left': 111, 'width': 6, 'height': 15}}], 'words': '1.bad',
                                         'location': {'top': 325, 'left': 79, 'width': 37, 'height': 15}},
                                     {'chars': [{'char': '口', 'location': {'top': 324, 'left': 269, 'width': 15, 'height': 13}}], 'words': '口',
                                      'location': {'top': 324, 'left': 269, 'width': 14, 'height': 14}}, {
                                         'chars': [{'char': '5', 'location': {'top': 319, 'left': 481, 'width': 7, 'height': 15}},
                                                   {'char': '1', 'location': {'top': 319, 'left': 489, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 319, 'left': 496, 'width': 8, 'height': 15}},
                                                   {'char': 'w', 'location': {'top': 319, 'left': 505, 'width': 8, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 319, 'left': 514, 'width': 7, 'height': 15}},
                                                   {'char': 'm', 'location': {'top': 319, 'left': 524, 'width': 8, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 319, 'left': 533, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 319, 'left': 541, 'width': 8, 'height': 15}}],
                                         'words': '51.woman', 'location': {'top': 319, 'left': 481, 'width': 67, 'height': 15}},
                                     {'chars': [{'char': '口', 'location': {'top': 318, 'left': 672, 'width': 14, 'height': 15}}], 'words': '口',
                                      'location': {'top': 318, 'left': 672, 'width': 13, 'height': 15}}, {
                                         'chars': [{'char': '2', 'location': {'top': 354, 'left': 81, 'width': 6, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 354, 'left': 87, 'width': 2, 'height': 14}},
                                                   {'char': 's', 'location': {'top': 354, 'left': 93, 'width': 5, 'height': 14}},
                                                   {'char': 'i', 'location': {'top': 354, 'left': 97, 'width': 6, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 354, 'left': 102, 'width': 7, 'height': 14}}], 'words': '2.sit',
                                         'location': {'top': 353, 'left': 79, 'width': 30, 'height': 14}}, {
                                         'chars': [{'char': '5', 'location': {'top': 345, 'left': 481, 'width': 8, 'height': 15}},
                                                   {'char': '2', 'location': {'top': 345, 'left': 489, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 345, 'left': 496, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 345, 'left': 503, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 345, 'left': 511, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 345, 'left': 517, 'width': 8, 'height': 15}},
                                                   {'char': 'd', 'location': {'top': 345, 'left': 525, 'width': 8, 'height': 15}}],
                                         'words': '52.send', 'location': {'top': 345, 'left': 481, 'width': 51, 'height': 15}},
                                     {'chars': [{'char': '口', 'location': {'top': 345, 'left': 673, 'width': 13, 'height': 14}}], 'words': '口',
                                      'location': {'top': 345, 'left': 673, 'width': 13, 'height': 15}}, {
                                         'chars': [{'char': '3', 'location': {'top': 375, 'left': 78, 'width': 8, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 375, 'left': 87, 'width': 7, 'height': 14}},
                                                   {'char': 'f', 'location': {'top': 375, 'left': 94, 'width': 6, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 375, 'left': 100, 'width': 7, 'height': 14}},
                                                   {'char': 'l', 'location': {'top': 375, 'left': 106, 'width': 6, 'height': 14}},
                                                   {'char': 'l', 'location': {'top': 375, 'left': 111, 'width': 7, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 375, 'left': 116, 'width': 7, 'height': 14}},
                                                   {'char': 'w', 'location': {'top': 375, 'left': 123, 'width': 9, 'height': 14}}],
                                         'words': '3.follow', 'location': {'top': 375, 'left': 78, 'width': 53, 'height': 14}}, {
                                         'chars': [{'char': '5', 'location': {'top': 368, 'left': 482, 'width': 7, 'height': 15}},
                                                   {'char': '3', 'location': {'top': 368, 'left': 488, 'width': 9, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 368, 'left': 498, 'width': 2, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 368, 'left': 502, 'width': 7, 'height': 15}},
                                                   {'char': 'p', 'location': {'top': 368, 'left': 508, 'width': 10, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 368, 'left': 516, 'width': 8, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 368, 'left': 522, 'width': 8, 'height': 15}},
                                                   {'char': 'k', 'location': {'top': 368, 'left': 528, 'width': 10, 'height': 15}}],
                                         'words': '53.speak', 'location': {'top': 367, 'left': 481, 'width': 57, 'height': 16}}, {
                                         'chars': [{'char': '4', 'location': {'top': 398, 'left': 78, 'width': 7, 'height': 13}},
                                                   {'char': '.', 'location': {'top': 398, 'left': 86, 'width': 7, 'height': 13}},
                                                   {'char': 'o', 'location': {'top': 398, 'left': 94, 'width': 7, 'height': 13}},
                                                   {'char': 'r', 'location': {'top': 398, 'left': 101, 'width': 7, 'height': 13}},
                                                   {'char': 'd', 'location': {'top': 398, 'left': 108, 'width': 6, 'height': 13}},
                                                   {'char': 'e', 'location': {'top': 398, 'left': 115, 'width': 6, 'height': 13}},
                                                   {'char': 'r', 'location': {'top': 398, 'left': 121, 'width': 5, 'height': 13}}],
                                         'words': '4.order', 'location': {'top': 398, 'left': 78, 'width': 48, 'height': 13}}, {
                                         'chars': [{'char': '5', 'location': {'top': 390, 'left': 482, 'width': 7, 'height': 14}},
                                                   {'char': '4', 'location': {'top': 390, 'left': 490, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 390, 'left': 497, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 390, 'left': 503, 'width': 7, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 390, 'left': 511, 'width': 6, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 390, 'left': 517, 'width': 7, 'height': 14}},
                                                   {'char': 'm', 'location': {'top': 390, 'left': 527, 'width': 10, 'height': 14}}],
                                         'words': '54.room', 'location': {'top': 390, 'left': 482, 'width': 54, 'height': 14}}, {
                                         'chars': [{'char': '5', 'location': {'top': 419, 'left': 78, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 419, 'left': 86, 'width': 8, 'height': 15}},
                                                   {'char': 'd', 'location': {'top': 419, 'left': 94, 'width': 7, 'height': 15}},
                                                   {'char': 'u', 'location': {'top': 419, 'left': 101, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 419, 'left': 107, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 419, 'left': 112, 'width': 8, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 419, 'left': 118, 'width': 7, 'height': 15}},
                                                   {'char': 'g', 'location': {'top': 419, 'left': 126, 'width': 7, 'height': 15}}],
                                         'words': '5.during', 'location': {'top': 419, 'left': 78, 'width': 55, 'height': 15}}, {
                                         'chars': [{'char': '5', 'location': {'top': 412, 'left': 482, 'width': 8, 'height': 15}},
                                                   {'char': '5', 'location': {'top': 412, 'left': 490, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 412, 'left': 497, 'width': 7, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 412, 'left': 503, 'width': 8, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 412, 'left': 510, 'width': 7, 'height': 15}},
                                                   {'char': 'd', 'location': {'top': 412, 'left': 518, 'width': 7, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 412, 'left': 525, 'width': 8, 'height': 15}},
                                                   {'char': 'y', 'location': {'top': 412, 'left': 532, 'width': 6, 'height': 15}}],
                                         'words': '55.today', 'location': {'top': 412, 'left': 482, 'width': 56, 'height': 15}}, {
                                         'chars': [{'char': '6', 'location': {'top': 441, 'left': 79, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 441, 'left': 86, 'width': 9, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 441, 'left': 94, 'width': 6, 'height': 14}},
                                                   {'char': 'k', 'location': {'top': 441, 'left': 100, 'width': 8, 'height': 14}}], 'words': '6.ok',
                                         'location': {'top': 440, 'left': 77, 'width': 32, 'height': 14}}, {
                                         'chars': [{'char': '5', 'location': {'top': 435, 'left': 482, 'width': 8, 'height': 15}},
                                                   {'char': '6', 'location': {'top': 435, 'left': 491, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 435, 'left': 497, 'width': 8, 'height': 15}},
                                                   {'char': 'm', 'location': {'top': 435, 'left': 508, 'width': 8, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 435, 'left': 517, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 435, 'left': 525, 'width': 7, 'height': 14}},
                                                   {'char': 'n', 'location': {'top': 435, 'left': 531, 'width': 7, 'height': 14}},
                                                   {'char': 'i', 'location': {'top': 435, 'left': 536, 'width': 7, 'height': 14}},
                                                   {'char': 'n', 'location': {'top': 435, 'left': 542, 'width': 7, 'height': 14}},
                                                   {'char': 'g', 'location': {'top': 435, 'left': 549, 'width': 7, 'height': 14}}],
                                         'words': '56.morning', 'location': {'top': 435, 'left': 482, 'width': 74, 'height': 15}}, {
                                         'chars': [{'char': '7', 'location': {'top': 462, 'left': 77, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 462, 'left': 86, 'width': 7, 'height': 15}},
                                                   {'char': 'b', 'location': {'top': 462, 'left': 93, 'width': 7, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 462, 'left': 101, 'width': 7, 'height': 15}},
                                                   {'char': 'y', 'location': {'top': 462, 'left': 108, 'width': 6, 'height': 15}}], 'words': '7.boy',
                                         'location': {'top': 462, 'left': 77, 'width': 36, 'height': 14}},
                                     {'chars': [{'char': '口', 'location': {'top': 460, 'left': 270, 'width': 13, 'height': 12}}], 'words': '口',
                                      'location': {'top': 460, 'left': 270, 'width': 13, 'height': 12}}, {
                                         'chars': [{'char': '5', 'location': {'top': 455, 'left': 483, 'width': 7, 'height': 15}},
                                                   {'char': '7', 'location': {'top': 455, 'left': 491, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 455, 'left': 498, 'width': 7, 'height': 15}},
                                                   {'char': 'b', 'location': {'top': 455, 'left': 505, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 455, 'left': 513, 'width': 7, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 455, 'left': 519, 'width': 8, 'height': 15}},
                                                   {'char': 'w', 'location': {'top': 455, 'left': 527, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 455, 'left': 535, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 455, 'left': 542, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 455, 'left': 549, 'width': 7, 'height': 15}}],
                                         'words': '57.between', 'location': {'top': 455, 'left': 483, 'width': 73, 'height': 15}}, {
                                         'chars': [{'char': '8', 'location': {'top': 483, 'left': 76, 'width': 8, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 483, 'left': 84, 'width': 8, 'height': 14}},
                                                   {'char': 'b', 'location': {'top': 483, 'left': 92, 'width': 7, 'height': 14}},
                                                   {'char': 'u', 'location': {'top': 483, 'left': 100, 'width': 7, 'height': 14}},
                                                   {'char': 'i', 'location': {'top': 483, 'left': 106, 'width': 7, 'height': 14}},
                                                   {'char': 'l', 'location': {'top': 483, 'left': 111, 'width': 7, 'height': 14}},
                                                   {'char': 'd', 'location': {'top': 483, 'left': 117, 'width': 6, 'height': 14}}],
                                         'words': '8.build', 'location': {'top': 483, 'left': 76, 'width': 47, 'height': 14}}, {
                                         'chars': [{'char': '5', 'location': {'top': 478, 'left': 483, 'width': 7, 'height': 15}},
                                                   {'char': '8', 'location': {'top': 478, 'left': 491, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 478, 'left': 498, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 478, 'left': 506, 'width': 8, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 478, 'left': 514, 'width': 7, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 478, 'left': 521, 'width': 7, 'height': 15}},
                                                   {'char': 'h', 'location': {'top': 478, 'left': 527, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 478, 'left': 532, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 478, 'left': 538, 'width': 7, 'height': 15}},
                                                   {'char': 'g', 'location': {'top': 478, 'left': 546, 'width': 7, 'height': 15}}],
                                         'words': '58.nothing', 'location': {'top': 478, 'left': 483, 'width': 70, 'height': 15}}, {
                                         'chars': [{'char': '9', 'location': {'top': 505, 'left': 75, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 505, 'left': 83, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 505, 'left': 90, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 505, 'left': 99, 'width': 7, 'height': 15}},
                                                   {'char': 'd', 'location': {'top': 505, 'left': 107, 'width': 7, 'height': 15}}], 'words': '9.end',
                                         'location': {'top': 505, 'left': 75, 'width': 39, 'height': 14}}, {
                                         'chars': [{'char': '5', 'location': {'top': 500, 'left': 483, 'width': 7, 'height': 13}},
                                                   {'char': '9', 'location': {'top': 500, 'left': 491, 'width': 7, 'height': 13}},
                                                   {'char': '.', 'location': {'top': 500, 'left': 499, 'width': 6, 'height': 13}},
                                                   {'char': 'm', 'location': {'top': 500, 'left': 511, 'width': 7, 'height': 13}},
                                                   {'char': 'o', 'location': {'top': 500, 'left': 519, 'width': 7, 'height': 13}},
                                                   {'char': 'n', 'location': {'top': 500, 'left': 526, 'width': 6, 'height': 13}},
                                                   {'char': 't', 'location': {'top': 500, 'left': 532, 'width': 7, 'height': 13}},
                                                   {'char': 'h', 'location': {'top': 500, 'left': 539, 'width': 7, 'height': 13}}],
                                         'words': '59.month', 'location': {'top': 500, 'left': 483, 'width': 62, 'height': 13}}, {
                                         'chars': [{'char': '1', 'location': {'top': 527, 'left': 76, 'width': 7, 'height': 14}},
                                                   {'char': '0', 'location': {'top': 527, 'left': 84, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 527, 'left': 91, 'width': 7, 'height': 14}},
                                                   {'char': 'l', 'location': {'top': 527, 'left': 97, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 527, 'left': 103, 'width': 7, 'height': 14}},
                                                   {'char': 'a', 'location': {'top': 527, 'left': 109, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 527, 'left': 115, 'width': 7, 'height': 14}},
                                                   {'char': 'm', 'location': {'top': 527, 'left': 122, 'width': 6, 'height': 14}}],
                                         'words': '10.learm', 'location': {'top': 527, 'left': 76, 'width': 52, 'height': 14}},
                                     {'chars': [{'char': '口', 'location': {'top': 525, 'left': 269, 'width': 12, 'height': 13}}], 'words': '口',
                                      'location': {'top': 525, 'left': 269, 'width': 12, 'height': 12}}, {
                                         'chars': [{'char': '6', 'location': {'top': 522, 'left': 483, 'width': 7, 'height': 14}},
                                                   {'char': '0', 'location': {'top': 522, 'left': 492, 'width': 6, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 522, 'left': 499, 'width': 7, 'height': 14}},
                                                   {'char': 'm', 'location': {'top': 522, 'left': 510, 'width': 7, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 522, 'left': 518, 'width': 7, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 522, 'left': 526, 'width': 7, 'height': 14}},
                                                   {'char': 'h', 'location': {'top': 522, 'left': 532, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 522, 'left': 538, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 522, 'left': 544, 'width': 5, 'height': 14}}],
                                         'words': '60.mother', 'location': {'top': 522, 'left': 483, 'width': 66, 'height': 14}},
                                     {'chars': [{'char': '0', 'location': {'top': 521, 'left': 681, 'width': 10, 'height': 13}}], 'words': '0',
                                      'location': {'top': 521, 'left': 677, 'width': 13, 'height': 13}}, {
                                         'chars': [{'char': '1', 'location': {'top': 550, 'left': 75, 'width': 7, 'height': 14}},
                                                   {'char': '1', 'location': {'top': 550, 'left': 83, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 550, 'left': 89, 'width': 7, 'height': 14}},
                                                   {'char': 'c', 'location': {'top': 550, 'left': 96, 'width': 7, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 550, 'left': 104, 'width': 7, 'height': 14}},
                                                   {'char': 'u', 'location': {'top': 550, 'left': 112, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 550, 'left': 118, 'width': 7, 'height': 14}},
                                                   {'char': 's', 'location': {'top': 550, 'left': 124, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 550, 'left': 131, 'width': 6, 'height': 14}}],
                                         'words': '11.course', 'location': {'top': 550, 'left': 75, 'width': 61, 'height': 14}},
                                     {'chars': [{'char': '口', 'location': {'top': 548, 'left': 269, 'width': 12, 'height': 12}}], 'words': '口',
                                      'location': {'top': 548, 'left': 269, 'width': 12, 'height': 12}}, {
                                         'chars': [{'char': '6', 'location': {'top': 544, 'left': 483, 'width': 8, 'height': 14}},
                                                   {'char': '1', 'location': {'top': 544, 'left': 492, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 544, 'left': 500, 'width': 7, 'height': 14}},
                                                   {'char': 'w', 'location': {'top': 544, 'left': 510, 'width': 8, 'height': 14}},
                                                   {'char': 'a', 'location': {'top': 544, 'left': 518, 'width': 7, 'height': 14}},
                                                   {'char': 'i', 'location': {'top': 544, 'left': 524, 'width': 7, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 544, 'left': 529, 'width': 5, 'height': 14}}],
                                         'words': '61.wait', 'location': {'top': 544, 'left': 483, 'width': 50, 'height': 14}},
                                     {'chars': [{'char': '0', 'location': {'top': 542, 'left': 683, 'width': 8, 'height': 13}}], 'words': '0',
                                      'location': {'top': 542, 'left': 679, 'width': 12, 'height': 13}}, {
                                         'chars': [{'char': '1', 'location': {'top': 571, 'left': 74, 'width': 7, 'height': 14}},
                                                   {'char': '2', 'location': {'top': 571, 'left': 82, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 571, 'left': 88, 'width': 7, 'height': 14}},
                                                   {'char': 'n', 'location': {'top': 571, 'left': 96, 'width': 7, 'height': 14}},
                                                   {'char': 'u', 'location': {'top': 571, 'left': 105, 'width': 7, 'height': 14}},
                                                   {'char': 'm', 'location': {'top': 571, 'left': 114, 'width': 8, 'height': 14}},
                                                   {'char': 'b', 'location': {'top': 571, 'left': 123, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 571, 'left': 131, 'width': 6, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 571, 'left': 137, 'width': 6, 'height': 14}}],
                                         'words': '12.number', 'location': {'top': 571, 'left': 74, 'width': 69, 'height': 14}}, {
                                         'chars': [{'char': '6', 'location': {'top': 567, 'left': 484, 'width': 7, 'height': 15}},
                                                   {'char': '2', 'location': {'top': 567, 'left': 490, 'width': 9, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 567, 'left': 500, 'width': 2, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 567, 'left': 506, 'width': 5, 'height': 15}},
                                                   {'char': 'u', 'location': {'top': 567, 'left': 511, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 567, 'left': 517, 'width': 9, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 567, 'left': 524, 'width': 9, 'height': 15}}],
                                         'words': '62.sure', 'location': {'top': 566, 'left': 484, 'width': 50, 'height': 15}}, {
                                         'chars': [{'char': '1', 'location': {'top': 592, 'left': 73, 'width': 7, 'height': 14}},
                                                   {'char': '3', 'location': {'top': 592, 'left': 81, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 592, 'left': 87, 'width': 7, 'height': 14}},
                                                   {'char': 'c', 'location': {'top': 592, 'left': 95, 'width': 7, 'height': 14}},
                                                   {'char': 'l', 'location': {'top': 592, 'left': 102, 'width': 7, 'height': 14}},
                                                   {'char': 'a', 'location': {'top': 592, 'left': 108, 'width': 7, 'height': 14}},
                                                   {'char': 's', 'location': {'top': 592, 'left': 114, 'width': 7, 'height': 14}},
                                                   {'char': 's', 'location': {'top': 592, 'left': 122, 'width': 20, 'height': 14}}],
                                         'words': '13.class', 'location': {'top': 592, 'left': 73, 'width': 68, 'height': 14}},
                                     {'chars': [{'char': '口', 'location': {'top': 592, 'left': 269, 'width': 12, 'height': 12}}], 'words': '口',
                                      'location': {'top': 592, 'left': 269, 'width': 12, 'height': 12}}, {
                                         'chars': [{'char': '6', 'location': {'top': 589, 'left': 484, 'width': 7, 'height': 14}},
                                                   {'char': '3', 'location': {'top': 589, 'left': 493, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 589, 'left': 501, 'width': 7, 'height': 14}},
                                                   {'char': 'c', 'location': {'top': 589, 'left': 508, 'width': 7, 'height': 14}},
                                                   {'char': 'a', 'location': {'top': 589, 'left': 515, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 589, 'left': 521, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 589, 'left': 528, 'width': 5, 'height': 14}}],
                                         'words': '63.care', 'location': {'top': 589, 'left': 484, 'width': 49, 'height': 14}}, {
                                         'chars': [{'char': '1', 'location': {'top': 614, 'left': 72, 'width': 8, 'height': 15}},
                                                   {'char': '4', 'location': {'top': 614, 'left': 80, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 614, 'left': 87, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 614, 'left': 94, 'width': 8, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 614, 'left': 102, 'width': 8, 'height': 15}},
                                                   {'char': 'g', 'location': {'top': 614, 'left': 109, 'width': 7, 'height': 15}},
                                                   {'char': 'l', 'location': {'top': 614, 'left': 115, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 614, 'left': 120, 'width': 8, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 614, 'left': 126, 'width': 8, 'height': 15}},
                                                   {'char': 'h', 'location': {'top': 614, 'left': 134, 'width': 6, 'height': 15}}],
                                         'words': '14.english', 'location': {'top': 614, 'left': 72, 'width': 68, 'height': 15}}, {
                                         'chars': [{'char': '6', 'location': {'top': 611, 'left': 484, 'width': 8, 'height': 14}},
                                                   {'char': '4', 'location': {'top': 611, 'left': 493, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 611, 'left': 500, 'width': 7, 'height': 14}},
                                                   {'char': 'h', 'location': {'top': 611, 'left': 508, 'width': 7, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 611, 'left': 516, 'width': 7, 'height': 14}},
                                                   {'char': 'p', 'location': {'top': 611, 'left': 523, 'width': 8, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 611, 'left': 531, 'width': 6, 'height': 14}}],
                                         'words': '64.hope', 'location': {'top': 611, 'left': 484, 'width': 52, 'height': 15}}, {
                                         'chars': [{'char': '1', 'location': {'top': 637, 'left': 71, 'width': 7, 'height': 14}},
                                                   {'char': '5', 'location': {'top': 637, 'left': 79, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 637, 'left': 85, 'width': 7, 'height': 14}},
                                                   {'char': 'w', 'location': {'top': 637, 'left': 96, 'width': 8, 'height': 14}},
                                                   {'char': 'o', 'location': {'top': 637, 'left': 105, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 637, 'left': 111, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 637, 'left': 117, 'width': 7, 'height': 14}},
                                                   {'char': 'y', 'location': {'top': 637, 'left': 124, 'width': 5, 'height': 14}}],
                                         'words': '15.worry', 'location': {'top': 637, 'left': 71, 'width': 58, 'height': 14}}, {
                                         'chars': [{'char': '6', 'location': {'top': 633, 'left': 485, 'width': 7, 'height': 14}},
                                                   {'char': '5', 'location': {'top': 633, 'left': 493, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 633, 'left': 500, 'width': 7, 'height': 14}},
                                                   {'char': 'a', 'location': {'top': 633, 'left': 508, 'width': 8, 'height': 14}},
                                                   {'char': 'g', 'location': {'top': 633, 'left': 516, 'width': 8, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 633, 'left': 524, 'width': 6, 'height': 14}}], 'words': '65.age',
                                         'location': {'top': 633, 'left': 485, 'width': 45, 'height': 15}}, {
                                         'chars': [{'char': '1', 'location': {'top': 659, 'left': 70, 'width': 7, 'height': 14}},
                                                   {'char': '6', 'location': {'top': 659, 'left': 78, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 659, 'left': 84, 'width': 7, 'height': 14}},
                                                   {'char': 's', 'location': {'top': 659, 'left': 91, 'width': 6, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 659, 'left': 98, 'width': 7, 'height': 14}},
                                                   {'char': 'a', 'location': {'top': 659, 'left': 104, 'width': 7, 'height': 14}},
                                                   {'char': 'n', 'location': {'top': 659, 'left': 111, 'width': 7, 'height': 14}},
                                                   {'char': 'd', 'location': {'top': 659, 'left': 119, 'width': 7, 'height': 14}}],
                                         'words': '16.stand', 'location': {'top': 659, 'left': 70, 'width': 56, 'height': 14}}, {
                                         'chars': [{'char': '口', 'location': {'top': 658, 'left': 269, 'width': 9, 'height': 12}},
                                                   {'char': '’', 'location': {'top': 658, 'left': 288, 'width': 4, 'height': 12}}], 'words': '口’',
                                         'location': {'top': 658, 'left': 269, 'width': 22, 'height': 11}}, {
                                         'chars': [{'char': '6', 'location': {'top': 656, 'left': 485, 'width': 7, 'height': 13}},
                                                   {'char': '6', 'location': {'top': 656, 'left': 494, 'width': 6, 'height': 13}},
                                                   {'char': '.', 'location': {'top': 656, 'left': 501, 'width': 6, 'height': 13}},
                                                   {'char': 'f', 'location': {'top': 656, 'left': 509, 'width': 6, 'height': 13}},
                                                   {'char': 'a', 'location': {'top': 656, 'left': 516, 'width': 6, 'height': 13}},
                                                   {'char': 'c', 'location': {'top': 656, 'left': 521, 'width': 7, 'height': 13}},
                                                   {'char': 't', 'location': {'top': 656, 'left': 527, 'width': 5, 'height': 13}}],
                                         'words': '66.fact', 'location': {'top': 656, 'left': 485, 'width': 46, 'height': 13}}, {
                                         'chars': [{'char': '1', 'location': {'top': 681, 'left': 69, 'width': 8, 'height': 15}},
                                                   {'char': '7', 'location': {'top': 681, 'left': 77, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 681, 'left': 84, 'width': 7, 'height': 15}},
                                                   {'char': 'v', 'location': {'top': 681, 'left': 92, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 681, 'left': 99, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 681, 'left': 104, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 681, 'left': 109, 'width': 7, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 681, 'left': 115, 'width': 5, 'height': 15}}],
                                         'words': '17.visit', 'location': {'top': 681, 'left': 69, 'width': 50, 'height': 15}},
                                     {'chars': [{'char': '口', 'location': {'top': 681, 'left': 268, 'width': 12, 'height': 13}}], 'words': '口',
                                      'location': {'top': 681, 'left': 268, 'width': 13, 'height': 13}}, {
                                         'chars': [{'char': '6', 'location': {'top': 677, 'left': 485, 'width': 8, 'height': 14}},
                                                   {'char': '7', 'location': {'top': 677, 'left': 494, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 677, 'left': 502, 'width': 6, 'height': 14}},
                                                   {'char': 'f', 'location': {'top': 677, 'left': 508, 'width': 7, 'height': 14}},
                                                   {'char': 'i', 'location': {'top': 677, 'left': 514, 'width': 7, 'height': 14}},
                                                   {'char': 'v', 'location': {'top': 677, 'left': 519, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 677, 'left': 527, 'width': 6, 'height': 14}}],
                                         'words': '67.five', 'location': {'top': 677, 'left': 485, 'width': 47, 'height': 14}}, {
                                         'chars': [{'char': '1', 'location': {'top': 703, 'left': 68, 'width': 8, 'height': 16}},
                                                   {'char': '8', 'location': {'top': 703, 'left': 77, 'width': 7, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 703, 'left': 84, 'width': 7, 'height': 16}},
                                                   {'char': 'c', 'location': {'top': 703, 'left': 91, 'width': 7, 'height': 16}},
                                                   {'char': 'l', 'location': {'top': 703, 'left': 98, 'width': 7, 'height': 16}},
                                                   {'char': 'o', 'location': {'top': 703, 'left': 104, 'width': 7, 'height': 16}},
                                                   {'char': 's', 'location': {'top': 703, 'left': 110, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 703, 'left': 118, 'width': 6, 'height': 16}}],
                                         'words': '18.close', 'location': {'top': 703, 'left': 68, 'width': 55, 'height': 15}}, {
                                         'chars': [{'char': '6', 'location': {'top': 699, 'left': 485, 'width': 8, 'height': 14}},
                                                   {'char': '8', 'location': {'top': 699, 'left': 494, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 699, 'left': 501, 'width': 7, 'height': 14}},
                                                   {'char': 'f', 'location': {'top': 699, 'left': 507, 'width': 8, 'height': 14}},
                                                   {'char': 'a', 'location': {'top': 699, 'left': 515, 'width': 7, 'height': 14}},
                                                   {'char': 'l', 'location': {'top': 699, 'left': 520, 'width': 7, 'height': 14}},
                                                   {'char': 'l', 'location': {'top': 699, 'left': 526, 'width': 5, 'height': 14}}],
                                         'words': '68.fall', 'location': {'top': 699, 'left': 485, 'width': 46, 'height': 15}}, {
                                         'chars': [{'char': '1', 'location': {'top': 727, 'left': 67, 'width': 8, 'height': 15}},
                                                   {'char': '9', 'location': {'top': 727, 'left': 75, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 727, 'left': 82, 'width': 7, 'height': 15}},
                                                   {'char': 'h', 'location': {'top': 727, 'left': 91, 'width': 7, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 727, 'left': 99, 'width': 7, 'height': 15}},
                                                   {'char': 'p', 'location': {'top': 727, 'left': 106, 'width': 7, 'height': 15}},
                                                   {'char': 'p', 'location': {'top': 727, 'left': 113, 'width': 7, 'height': 15}},
                                                   {'char': 'y', 'location': {'top': 727, 'left': 121, 'width': 6, 'height': 15}}],
                                         'words': '19.happy', 'location': {'top': 727, 'left': 67, 'width': 60, 'height': 15}},
                                     {'chars': [{'char': '口', 'location': {'top': 727, 'left': 267, 'width': 13, 'height': 13}}], 'words': '口',
                                      'location': {'top': 727, 'left': 267, 'width': 12, 'height': 13}}, {
                                         'chars': [{'char': '6', 'location': {'top': 721, 'left': 486, 'width': 8, 'height': 17}},
                                                   {'char': '9', 'location': {'top': 721, 'left': 494, 'width': 8, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 721, 'left': 501, 'width': 8, 'height': 17}},
                                                   {'char': 'h', 'location': {'top': 721, 'left': 508, 'width': 8, 'height': 17}},
                                                   {'char': 'o', 'location': {'top': 721, 'left': 517, 'width': 8, 'height': 17}},
                                                   {'char': 'l', 'location': {'top': 721, 'left': 524, 'width': 8, 'height': 17}},
                                                   {'char': 'd', 'location': {'top': 721, 'left': 530, 'width': 5, 'height': 17}}],
                                         'words': '69.hold', 'location': {'top': 721, 'left': 486, 'width': 49, 'height': 16}}, {
                                         'chars': [{'char': '2', 'location': {'top': 749, 'left': 68, 'width': 6, 'height': 14}},
                                                   {'char': '0', 'location': {'top': 749, 'left': 74, 'width': 8, 'height': 14}},
                                                   {'char': '-', 'location': {'top': 749, 'left': 84, 'width': 2, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 749, 'left': 90, 'width': 5, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 749, 'left': 94, 'width': 8, 'height': 14}},
                                                   {'char': 'g', 'location': {'top': 749, 'left': 100, 'width': 9, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 749, 'left': 108, 'width': 8, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 749, 'left': 115, 'width': 8, 'height': 14}},
                                                   {'char': 'h', 'location': {'top': 749, 'left': 121, 'width': 8, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 749, 'left': 127, 'width': 9, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 749, 'left': 134, 'width': 9, 'height': 14}}],
                                         'words': '20-tegether', 'location': {'top': 748, 'left': 62, 'width': 93, 'height': 15}}, {
                                         'chars': [{'char': '7', 'location': {'top': 744, 'left': 486, 'width': 8, 'height': 15}},
                                                   {'char': '0', 'location': {'top': 744, 'left': 495, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 744, 'left': 502, 'width': 7, 'height': 15}},
                                                   {'char': 'd', 'location': {'top': 744, 'left': 510, 'width': 8, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 744, 'left': 518, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 744, 'left': 524, 'width': 7, 'height': 15}},
                                                   {'char': 'v', 'location': {'top': 744, 'left': 529, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 744, 'left': 536, 'width': 6, 'height': 15}}],
                                         'words': '70.drive', 'location': {'top': 744, 'left': 486, 'width': 55, 'height': 15}}, {
                                         'chars': [{'char': '2', 'location': {'top': 773, 'left': 64, 'width': 8, 'height': 15}},
                                                   {'char': '1', 'location': {'top': 773, 'left': 74, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 773, 'left': 82, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 773, 'left': 90, 'width': 7, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 773, 'left': 97, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 773, 'left': 103, 'width': 7, 'height': 15}},
                                                   {'char': 'l', 'location': {'top': 773, 'left': 108, 'width': 7, 'height': 15}},
                                                   {'char': 'y', 'location': {'top': 773, 'left': 114, 'width': 6, 'height': 15}}],
                                         'words': '21.early', 'location': {'top': 773, 'left': 64, 'width': 55, 'height': 15}}, {
                                         'chars': [{'char': '7', 'location': {'top': 767, 'left': 486, 'width': 9, 'height': 17}},
                                                   {'char': '1', 'location': {'top': 767, 'left': 495, 'width': 8, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 767, 'left': 503, 'width': 8, 'height': 17}},
                                                   {'char': 'a', 'location': {'top': 767, 'left': 510, 'width': 8, 'height': 17}},
                                                   {'char': 'n', 'location': {'top': 767, 'left': 518, 'width': 8, 'height': 17}},
                                                   {'char': 'y', 'location': {'top': 767, 'left': 526, 'width': 8, 'height': 17}},
                                                   {'char': 't', 'location': {'top': 767, 'left': 532, 'width': 8, 'height': 17}},
                                                   {'char': 'h', 'location': {'top': 767, 'left': 537, 'width': 8, 'height': 17}},
                                                   {'char': 'i', 'location': {'top': 767, 'left': 544, 'width': 8, 'height': 17}},
                                                   {'char': 'n', 'location': {'top': 767, 'left': 550, 'width': 8, 'height': 17}},
                                                   {'char': 'g', 'location': {'top': 767, 'left': 559, 'width': 8, 'height': 17}}],
                                         'words': '71.anything', 'location': {'top': 767, 'left': 486, 'width': 80, 'height': 16}}, {
                                         'chars': [{'char': '2', 'location': {'top': 796, 'left': 64, 'width': 7, 'height': 14}},
                                                   {'char': '2', 'location': {'top': 796, 'left': 73, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 796, 'left': 80, 'width': 7, 'height': 14}},
                                                   {'char': 'f', 'location': {'top': 796, 'left': 87, 'width': 7, 'height': 14}},
                                                   {'char': 'u', 'location': {'top': 796, 'left': 94, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 796, 'left': 102, 'width': 9, 'height': 14}}], 'words': '22.fur',
                                         'location': {'top': 796, 'left': 64, 'width': 46, 'height': 14}},
                                     {'chars': [{'char': '口', 'location': {'top': 796, 'left': 266, 'width': 13, 'height': 13}}], 'words': '口',
                                      'location': {'top': 796, 'left': 266, 'width': 12, 'height': 13}}, {
                                         'chars': [{'char': '7', 'location': {'top': 790, 'left': 487, 'width': 8, 'height': 14}},
                                                   {'char': '2', 'location': {'top': 790, 'left': 496, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 790, 'left': 502, 'width': 7, 'height': 14}},
                                                   {'char': 'm', 'location': {'top': 790, 'left': 514, 'width': 8, 'height': 14}},
                                                   {'char': 'i', 'location': {'top': 790, 'left': 523, 'width': 7, 'height': 14}},
                                                   {'char': 'n', 'location': {'top': 790, 'left': 529, 'width': 7, 'height': 14}},
                                                   {'char': 'd', 'location': {'top': 790, 'left': 536, 'width': 7, 'height': 14}}],
                                         'words': '72.mind', 'location': {'top': 790, 'left': 487, 'width': 55, 'height': 14}}, {
                                         'chars': [{'char': '2', 'location': {'top': 819, 'left': 64, 'width': 7, 'height': 14}},
                                                   {'char': '3', 'location': {'top': 819, 'left': 72, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 819, 'left': 80, 'width': 7, 'height': 14}},
                                                   {'char': 'w', 'location': {'top': 819, 'left': 90, 'width': 8, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 819, 'left': 99, 'width': 6, 'height': 14}},
                                                   {'char': 'i', 'location': {'top': 819, 'left': 105, 'width': 6, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 819, 'left': 109, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 819, 'left': 115, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 819, 'left': 121, 'width': 5, 'height': 14}}],
                                         'words': '23.writer', 'location': {'top': 819, 'left': 64, 'width': 62, 'height': 14}},
                                     {'chars': [{'char': '口', 'location': {'top': 818, 'left': 266, 'width': 13, 'height': 13}}], 'words': '口',
                                      'location': {'top': 818, 'left': 266, 'width': 13, 'height': 13}}, {
                                         'chars': [{'char': '7', 'location': {'top': 812, 'left': 488, 'width': 8, 'height': 15}},
                                                   {'char': '3', 'location': {'top': 812, 'left': 496, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 812, 'left': 504, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 812, 'left': 510, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 812, 'left': 517, 'width': 7, 'height': 15}},
                                                   {'char': 'v', 'location': {'top': 812, 'left': 525, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 812, 'left': 533, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 812, 'left': 539, 'width': 7, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 812, 'left': 544, 'width': 8, 'height': 15}},
                                                   {'char': 'l', 'location': {'top': 812, 'left': 550, 'width': 6, 'height': 15}}],
                                         'words': '73.several', 'location': {'top': 812, 'left': 488, 'width': 67, 'height': 15}},
                                     {'chars': [{'char': '口', 'location': {'top': 812, 'left': 688, 'width': 12, 'height': 13}}], 'words': '口',
                                      'location': {'top': 812, 'left': 688, 'width': 12, 'height': 13}}, {
                                         'chars': [{'char': '2', 'location': {'top': 843, 'left': 62, 'width': 8, 'height': 14}},
                                                   {'char': '4', 'location': {'top': 843, 'left': 71, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 843, 'left': 79, 'width': 7, 'height': 14}},
                                                   {'char': 'm', 'location': {'top': 843, 'left': 90, 'width': 7, 'height': 14}},
                                                   {'char': 'i', 'location': {'top': 843, 'left': 98, 'width': 7, 'height': 14}},
                                                   {'char': 'n', 'location': {'top': 843, 'left': 105, 'width': 7, 'height': 14}},
                                                   {'char': 'u', 'location': {'top': 843, 'left': 112, 'width': 7, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 843, 'left': 118, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 843, 'left': 124, 'width': 6, 'height': 14}}],
                                         'words': '24.minute', 'location': {'top': 843, 'left': 62, 'width': 68, 'height': 14}}, {
                                         'chars': [{'char': '7', 'location': {'top': 836, 'left': 488, 'width': 8, 'height': 15}},
                                                   {'char': '4', 'location': {'top': 836, 'left': 496, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 836, 'left': 503, 'width': 7, 'height': 15}},
                                                   {'char': 'c', 'location': {'top': 836, 'left': 510, 'width': 8, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 836, 'left': 518, 'width': 8, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 836, 'left': 524, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 836, 'left': 529, 'width': 8, 'height': 15}},
                                                   {'char': 'y', 'location': {'top': 836, 'left': 536, 'width': 6, 'height': 15}}],
                                         'words': '74.carry', 'location': {'top': 836, 'left': 488, 'width': 54, 'height': 15}}, {
                                         'chars': [{'char': '2', 'location': {'top': 865, 'left': 62, 'width': 7, 'height': 15}},
                                                   {'char': '5', 'location': {'top': 865, 'left': 70, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 865, 'left': 77, 'width': 8, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 865, 'left': 85, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 865, 'left': 92, 'width': 8, 'height': 15}},
                                                   {'char': 'c', 'location': {'top': 865, 'left': 99, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 865, 'left': 106, 'width': 8, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 865, 'left': 112, 'width': 7, 'height': 15}},
                                                   {'char': 'v', 'location': {'top': 865, 'left': 118, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 865, 'left': 125, 'width': 7, 'height': 15}}],
                                         'words': '25.receive', 'location': {'top': 865, 'left': 62, 'width': 69, 'height': 15}}, {
                                         'chars': [{'char': '7', 'location': {'top': 859, 'left': 488, 'width': 8, 'height': 14}},
                                                   {'char': '5', 'location': {'top': 859, 'left': 497, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 859, 'left': 503, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 859, 'left': 511, 'width': 8, 'height': 14}},
                                                   {'char': 'v', 'location': {'top': 859, 'left': 519, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 859, 'left': 526, 'width': 8, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 859, 'left': 534, 'width': 5, 'height': 14}}],
                                         'words': '75.ever', 'location': {'top': 859, 'left': 488, 'width': 51, 'height': 14}}, {
                                         'chars': [{'char': '2', 'location': {'top': 890, 'left': 61, 'width': 7, 'height': 14}},
                                                   {'char': '6', 'location': {'top': 890, 'left': 69, 'width': 8, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 890, 'left': 77, 'width': 7, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 890, 'left': 84, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 890, 'left': 91, 'width': 7, 'height': 14}},
                                                   {'char': 'a', 'location': {'top': 890, 'left': 97, 'width': 7, 'height': 14}},
                                                   {'char': 'c', 'location': {'top': 890, 'left': 104, 'width': 7, 'height': 14}},
                                                   {'char': 'h', 'location': {'top': 890, 'left': 111, 'width': 9, 'height': 14}}],
                                         'words': '26.teach', 'location': {'top': 890, 'left': 61, 'width': 59, 'height': 15}}, {
                                         'chars': [{'char': '7', 'location': {'top': 882, 'left': 489, 'width': 8, 'height': 15}},
                                                   {'char': '6', 'location': {'top': 882, 'left': 497, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 882, 'left': 504, 'width': 8, 'height': 15}},
                                                   {'char': 'q', 'location': {'top': 882, 'left': 512, 'width': 8, 'height': 15}},
                                                   {'char': 'u', 'location': {'top': 882, 'left': 521, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 882, 'left': 527, 'width': 7, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 882, 'left': 531, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 882, 'left': 537, 'width': 6, 'height': 15}}],
                                         'words': '76.quite', 'location': {'top': 882, 'left': 489, 'width': 54, 'height': 16}}, {
                                         'chars': [{'char': '2', 'location': {'top': 913, 'left': 60, 'width': 7, 'height': 14}},
                                                   {'char': '7', 'location': {'top': 913, 'left': 68, 'width': 7, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 913, 'left': 76, 'width': 7, 'height': 14}},
                                                   {'char': 'r', 'location': {'top': 913, 'left': 83, 'width': 7, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 913, 'left': 90, 'width': 7, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 913, 'left': 96, 'width': 7, 'height': 14}},
                                                   {'char': 'u', 'location': {'top': 913, 'left': 102, 'width': 7, 'height': 14}},
                                                   {'char': 'm', 'location': {'top': 913, 'left': 115, 'width': 8, 'height': 14}}],
                                         'words': '27.retum', 'location': {'top': 913, 'left': 60, 'width': 63, 'height': 14}}, {
                                         'chars': [{'char': '7', 'location': {'top': 905, 'left': 489, 'width': 8, 'height': 16}},
                                                   {'char': '7', 'location': {'top': 905, 'left': 498, 'width': 7, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 905, 'left': 505, 'width': 8, 'height': 16}},
                                                   {'char': 'a', 'location': {'top': 905, 'left': 513, 'width': 7, 'height': 16}},
                                                   {'char': 'b', 'location': {'top': 905, 'left': 520, 'width': 8, 'height': 16}},
                                                   {'char': 'l', 'location': {'top': 905, 'left': 526, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 905, 'left': 533, 'width': 7, 'height': 16}}],
                                         'words': '77.able', 'location': {'top': 905, 'left': 489, 'width': 51, 'height': 16}}, {
                                         'chars': [{'char': '2', 'location': {'top': 936, 'left': 58, 'width': 8, 'height': 15}},
                                                   {'char': '8', 'location': {'top': 936, 'left': 68, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 936, 'left': 76, 'width': 7, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 936, 'left': 82, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 936, 'left': 88, 'width': 7, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 936, 'left': 94, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 936, 'left': 99, 'width': 8, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 936, 'left': 107, 'width': 7, 'height': 15}}],
                                         'words': '28.train', 'location': {'top': 936, 'left': 58, 'width': 55, 'height': 15}}, {
                                         'chars': [{'char': '7', 'location': {'top': 929, 'left': 489, 'width': 8, 'height': 15}},
                                                   {'char': '8', 'location': {'top': 929, 'left': 498, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 929, 'left': 505, 'width': 7, 'height': 15}},
                                                   {'char': 'c', 'location': {'top': 929, 'left': 512, 'width': 8, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 929, 'left': 521, 'width': 7, 'height': 15}},
                                                   {'char': 'u', 'location': {'top': 929, 'left': 527, 'width': 8, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 929, 'left': 534, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 929, 'left': 542, 'width': 7, 'height': 15}}],
                                         'words': '78.cause', 'location': {'top': 929, 'left': 489, 'width': 59, 'height': 15}}, {
                                         'chars': [{'char': '2', 'location': {'top': 959, 'left': 57, 'width': 8, 'height': 16}},
                                                   {'char': '9', 'location': {'top': 959, 'left': 67, 'width': 7, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 959, 'left': 74, 'width': 8, 'height': 16}},
                                                   {'char': 'u', 'location': {'top': 959, 'left': 83, 'width': 8, 'height': 16}},
                                                   {'char': 'n', 'location': {'top': 959, 'left': 91, 'width': 8, 'height': 16}},
                                                   {'char': 'd', 'location': {'top': 959, 'left': 99, 'width': 7, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 959, 'left': 105, 'width': 8, 'height': 16}},
                                                   {'char': 'r', 'location': {'top': 959, 'left': 113, 'width': 6, 'height': 16}}],
                                         'words': '29.under', 'location': {'top': 959, 'left': 57, 'width': 62, 'height': 16}},
                                     {'chars': [{'char': '口', 'location': {'top': 959, 'left': 264, 'width': 13, 'height': 13}}], 'words': '口',
                                      'location': {'top': 959, 'left': 264, 'width': 12, 'height': 13}}, {
                                         'chars': [{'char': '7', 'location': {'top': 953, 'left': 490, 'width': 8, 'height': 16}},
                                                   {'char': '9', 'location': {'top': 953, 'left': 497, 'width': 8, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 953, 'left': 504, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 953, 'left': 512, 'width': 8, 'height': 16}},
                                                   {'char': 'x', 'location': {'top': 953, 'left': 521, 'width': 7, 'height': 16}},
                                                   {'char': 'p', 'location': {'top': 953, 'left': 529, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 953, 'left': 536, 'width': 8, 'height': 16}},
                                                   {'char': 'c', 'location': {'top': 953, 'left': 543, 'width': 7, 'height': 16}},
                                                   {'char': 't', 'location': {'top': 953, 'left': 549, 'width': 7, 'height': 16}}],
                                         'words': '79.expect', 'location': {'top': 953, 'left': 490, 'width': 65, 'height': 16}}, {
                                         'chars': [{'char': '3', 'location': {'top': 984, 'left': 57, 'width': 8, 'height': 15}},
                                                   {'char': '0', 'location': {'top': 984, 'left': 66, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 984, 'left': 73, 'width': 7, 'height': 15}},
                                                   {'char': 'q', 'location': {'top': 984, 'left': 81, 'width': 8, 'height': 15}},
                                                   {'char': 'u', 'location': {'top': 984, 'left': 90, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 984, 'left': 98, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 984, 'left': 105, 'width': 7, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 984, 'left': 110, 'width': 8, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 984, 'left': 115, 'width': 8, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 984, 'left': 121, 'width': 8, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 984, 'left': 129, 'width': 8, 'height': 15}}],
                                         'words': '30.question', 'location': {'top': 984, 'left': 57, 'width': 79, 'height': 15}}, {
                                         'chars': [{'char': '8', 'location': {'top': 977, 'left': 490, 'width': 7, 'height': 15}},
                                                   {'char': '0', 'location': {'top': 977, 'left': 498, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 977, 'left': 505, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 977, 'left': 514, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 977, 'left': 522, 'width': 7, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 977, 'left': 529, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 977, 'left': 536, 'width': 5, 'height': 15}}],
                                         'words': '80.near', 'location': {'top': 977, 'left': 490, 'width': 51, 'height': 15}}, {
                                         'chars': [{'char': '3', 'location': {'top': 1008, 'left': 56, 'width': 9, 'height': 16}},
                                                   {'char': '1', 'location': {'top': 1008, 'left': 65, 'width': 8, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1008, 'left': 71, 'width': 8, 'height': 16}},
                                                   {'char': 'd', 'location': {'top': 1008, 'left': 82, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1008, 'left': 89, 'width': 8, 'height': 16}},
                                                   {'char': 'v', 'location': {'top': 1008, 'left': 96, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1008, 'left': 104, 'width': 8, 'height': 16}},
                                                   {'char': 'l', 'location': {'top': 1008, 'left': 110, 'width': 9, 'height': 16}},
                                                   {'char': 'o', 'location': {'top': 1008, 'left': 116, 'width': 8, 'height': 16}},
                                                   {'char': 'p', 'location': {'top': 1008, 'left': 124, 'width': 8, 'height': 16}}],
                                         'words': '31. develop', 'location': {'top': 1008, 'left': 56, 'width': 76, 'height': 17}}, {
                                         'chars': [{'char': '8', 'location': {'top': 1002, 'left': 490, 'width': 7, 'height': 14}},
                                                   {'char': '1', 'location': {'top': 1002, 'left': 498, 'width': 8, 'height': 14}},
                                                   {'char': '.', 'location': {'top': 1002, 'left': 505, 'width': 7, 'height': 14}},
                                                   {'char': 's', 'location': {'top': 1002, 'left': 512, 'width': 7, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 1002, 'left': 519, 'width': 8, 'height': 14}},
                                                   {'char': 'a', 'location': {'top': 1002, 'left': 525, 'width': 7, 'height': 14}},
                                                   {'char': 't', 'location': {'top': 1002, 'left': 530, 'width': 8, 'height': 14}},
                                                   {'char': 'e', 'location': {'top': 1002, 'left': 537, 'width': 6, 'height': 14}}],
                                         'words': '81.state', 'location': {'top': 1002, 'left': 490, 'width': 53, 'height': 15}}, {
                                         'chars': [{'char': '3', 'location': {'top': 1033, 'left': 55, 'width': 8, 'height': 16}},
                                                   {'char': '2', 'location': {'top': 1033, 'left': 64, 'width': 7, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1033, 'left': 71, 'width': 8, 'height': 16}},
                                                   {'char': 'p', 'location': {'top': 1033, 'left': 79, 'width': 7, 'height': 16}},
                                                   {'char': 'l', 'location': {'top': 1033, 'left': 87, 'width': 8, 'height': 16}},
                                                   {'char': 'a', 'location': {'top': 1033, 'left': 94, 'width': 7, 'height': 16}},
                                                   {'char': 'n', 'location': {'top': 1033, 'left': 101, 'width': 7, 'height': 16}}],
                                         'words': '32.plan', 'location': {'top': 1033, 'left': 55, 'width': 53, 'height': 16}}, {
                                         'chars': [{'char': '8', 'location': {'top': 1025, 'left': 490, 'width': 8, 'height': 15}},
                                                   {'char': '2', 'location': {'top': 1025, 'left': 498, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1025, 'left': 505, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 1025, 'left': 515, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 1025, 'left': 521, 'width': 7, 'height': 15}},
                                                   {'char': 'f', 'location': {'top': 1025, 'left': 527, 'width': 8, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 1025, 'left': 534, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 1025, 'left': 540, 'width': 8, 'height': 15}},
                                                   {'char': 'm', 'location': {'top': 1025, 'left': 549, 'width': 8, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 1025, 'left': 558, 'width': 7, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 1025, 'left': 564, 'width': 8, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 1025, 'left': 570, 'width': 7, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 1025, 'left': 576, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 1025, 'left': 584, 'width': 6, 'height': 15}}],
                                         'words': '82. information', 'location': {'top': 1025, 'left': 490, 'width': 100, 'height': 15}}, {
                                         'chars': [{'char': '3', 'location': {'top': 1055, 'left': 54, 'width': 9, 'height': 19}},
                                                   {'char': '3', 'location': {'top': 1055, 'left': 62, 'width': 9, 'height': 19}},
                                                   {'char': '.', 'location': {'top': 1055, 'left': 70, 'width': 9, 'height': 19}},
                                                   {'char': 'r', 'location': {'top': 1055, 'left': 77, 'width': 10, 'height': 19}},
                                                   {'char': 'e', 'location': {'top': 1055, 'left': 84, 'width': 9, 'height': 19}},
                                                   {'char': 'm', 'location': {'top': 1055, 'left': 94, 'width': 10, 'height': 19}},
                                                   {'char': 'e', 'location': {'top': 1055, 'left': 105, 'width': 9, 'height': 19}},
                                                   {'char': 'm', 'location': {'top': 1055, 'left': 114, 'width': 9, 'height': 19}},
                                                   {'char': 'b', 'location': {'top': 1055, 'left': 124, 'width': 9, 'height': 19}},
                                                   {'char': 'e', 'location': {'top': 1055, 'left': 131, 'width': 10, 'height': 19}},
                                                   {'char': 'r', 'location': {'top': 1055, 'left': 141, 'width': 8, 'height': 19}}],
                                         'words': '33.remember', 'location': {'top': 1055, 'left': 54, 'width': 95, 'height': 19}}, {
                                         'chars': [{'char': '8', 'location': {'top': 1049, 'left': 490, 'width': 9, 'height': 17}},
                                                   {'char': '3', 'location': {'top': 1049, 'left': 499, 'width': 8, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1049, 'left': 507, 'width': 8, 'height': 17}},
                                                   {'char': 'r', 'location': {'top': 1049, 'left': 514, 'width': 8, 'height': 17}},
                                                   {'char': 'e', 'location': {'top': 1049, 'left': 520, 'width': 8, 'height': 17}},
                                                   {'char': 's', 'location': {'top': 1049, 'left': 527, 'width': 8, 'height': 17}},
                                                   {'char': 'u', 'location': {'top': 1049, 'left': 534, 'width': 8, 'height': 17}},
                                                   {'char': 'l', 'location': {'top': 1049, 'left': 540, 'width': 8, 'height': 17}},
                                                   {'char': 't', 'location': {'top': 1049, 'left': 545, 'width': 6, 'height': 17}}],
                                         'words': '83.result', 'location': {'top': 1049, 'left': 490, 'width': 60, 'height': 16}}, {
                                         'chars': [{'char': '3', 'location': {'top': 1081, 'left': 53, 'width': 8, 'height': 17}},
                                                   {'char': '4', 'location': {'top': 1081, 'left': 62, 'width': 8, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1081, 'left': 70, 'width': 8, 'height': 17}},
                                                   {'char': 'g', 'location': {'top': 1081, 'left': 77, 'width': 9, 'height': 17}},
                                                   {'char': 'i', 'location': {'top': 1081, 'left': 85, 'width': 8, 'height': 17}},
                                                   {'char': 'r', 'location': {'top': 1081, 'left': 90, 'width': 8, 'height': 17}},
                                                   {'char': 'l', 'location': {'top': 1081, 'left': 96, 'width': 6, 'height': 17}}],
                                         'words': '34.girl', 'location': {'top': 1081, 'left': 53, 'width': 49, 'height': 17}}, {
                                         'chars': [{'char': '8', 'location': {'top': 1074, 'left': 490, 'width': 8, 'height': 15}},
                                                   {'char': '4', 'location': {'top': 1074, 'left': 499, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1074, 'left': 508, 'width': 7, 'height': 15}},
                                                   {'char': 'b', 'location': {'top': 1074, 'left': 515, 'width': 7, 'height': 15}},
                                                   {'char': 'u', 'location': {'top': 1074, 'left': 523, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 1074, 'left': 531, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 1074, 'left': 537, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 1074, 'left': 544, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 1074, 'left': 550, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 1074, 'left': 556, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 1074, 'left': 563, 'width': 6, 'height': 15}}],
                                         'words': '84.business', 'location': {'top': 1074, 'left': 490, 'width': 78, 'height': 15}}, {
                                         'chars': [{'char': '3', 'location': {'top': 1107, 'left': 51, 'width': 8, 'height': 15}},
                                                   {'char': '5', 'location': {'top': 1107, 'left': 61, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1107, 'left': 70, 'width': 7, 'height': 15}},
                                                   {'char': 'm', 'location': {'top': 1107, 'left': 81, 'width': 8, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 1107, 'left': 89, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 1107, 'left': 94, 'width': 8, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 1107, 'left': 101, 'width': 6, 'height': 15}}],
                                         'words': '35.miss', 'location': {'top': 1107, 'left': 51, 'width': 55, 'height': 15}}, {
                                         'chars': [{'char': '8', 'location': {'top': 1099, 'left': 491, 'width': 8, 'height': 16}},
                                                   {'char': '5', 'location': {'top': 1099, 'left': 500, 'width': 8, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1099, 'left': 507, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1099, 'left': 515, 'width': 8, 'height': 16}},
                                                   {'char': 'y', 'location': {'top': 1099, 'left': 523, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1099, 'left': 531, 'width': 8, 'height': 16}}],
                                         'words': '85.eye', 'location': {'top': 1099, 'left': 491, 'width': 47, 'height': 16}}, {
                                         'chars': [{'char': '3', 'location': {'top': 1132, 'left': 50, 'width': 9, 'height': 16}},
                                                   {'char': '6', 'location': {'top': 1132, 'left': 60, 'width': 7, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1132, 'left': 67, 'width': 8, 'height': 16}},
                                                   {'char': 'f', 'location': {'top': 1132, 'left': 74, 'width': 8, 'height': 16}},
                                                   {'char': 'o', 'location': {'top': 1132, 'left': 82, 'width': 8, 'height': 16}},
                                                   {'char': 'r', 'location': {'top': 1132, 'left': 89, 'width': 8, 'height': 16}},
                                                   {'char': 'g', 'location': {'top': 1132, 'left': 96, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1132, 'left': 103, 'width': 8, 'height': 16}},
                                                   {'char': 't', 'location': {'top': 1132, 'left': 110, 'width': 6, 'height': 16}}],
                                         'words': '36.forget', 'location': {'top': 1132, 'left': 50, 'width': 65, 'height': 16}}, {
                                         'chars': [{'char': '8', 'location': {'top': 1124, 'left': 491, 'width': 8, 'height': 15}},
                                                   {'char': '6', 'location': {'top': 1124, 'left': 500, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1124, 'left': 507, 'width': 8, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 1124, 'left': 514, 'width': 8, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 1124, 'left': 521, 'width': 8, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 1124, 'left': 527, 'width': 8, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 1124, 'left': 534, 'width': 8, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 1124, 'left': 541, 'width': 7, 'height': 15}},
                                                   {'char': 'g', 'location': {'top': 1124, 'left': 549, 'width': 7, 'height': 15}}],
                                         'words': '86.strong', 'location': {'top': 1124, 'left': 491, 'width': 65, 'height': 16}}, {
                                         'chars': [{'char': '3', 'location': {'top': 1156, 'left': 50, 'width': 8, 'height': 15}},
                                                   {'char': '7', 'location': {'top': 1156, 'left': 59, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1156, 'left': 66, 'width': 8, 'height': 15}},
                                                   {'char': 'b', 'location': {'top': 1156, 'left': 75, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 1156, 'left': 84, 'width': 8, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 1156, 'left': 91, 'width': 8, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 1156, 'left': 98, 'width': 6, 'height': 15}}],
                                         'words': '37.bear', 'location': {'top': 1156, 'left': 50, 'width': 54, 'height': 16}}, {
                                         'chars': [{'char': '8', 'location': {'top': 1147, 'left': 491, 'width': 9, 'height': 17}},
                                                   {'char': '7', 'location': {'top': 1147, 'left': 500, 'width': 9, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1147, 'left': 508, 'width': 9, 'height': 17}},
                                                   {'char': 'f', 'location': {'top': 1147, 'left': 515, 'width': 8, 'height': 17}},
                                                   {'char': 'i', 'location': {'top': 1147, 'left': 521, 'width': 8, 'height': 17}},
                                                   {'char': 'n', 'location': {'top': 1147, 'left': 527, 'width': 9, 'height': 17}},
                                                   {'char': 'a', 'location': {'top': 1147, 'left': 534, 'width': 8, 'height': 17}},
                                                   {'char': 'l', 'location': {'top': 1147, 'left': 540, 'width': 8, 'height': 17}},
                                                   {'char': 'l', 'location': {'top': 1147, 'left': 546, 'width': 8, 'height': 17}},
                                                   {'char': 'y', 'location': {'top': 1147, 'left': 551, 'width': 6, 'height': 17}}],
                                         'words': '87.finally', 'location': {'top': 1147, 'left': 491, 'width': 66, 'height': 17}}, {
                                         'chars': [{'char': '3', 'location': {'top': 1181, 'left': 50, 'width': 8, 'height': 15}},
                                                   {'char': '8', 'location': {'top': 1181, 'left': 59, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1181, 'left': 66, 'width': 8, 'height': 15}},
                                                   {'char': 'h', 'location': {'top': 1181, 'left': 75, 'width': 8, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 1181, 'left': 83, 'width': 8, 'height': 15}},
                                                   {'char': 'l', 'location': {'top': 1181, 'left': 90, 'width': 8, 'height': 15}},
                                                   {'char': 'f', 'location': {'top': 1181, 'left': 96, 'width': 6, 'height': 15}}],
                                         'words': '38.half', 'location': {'top': 1181, 'left': 50, 'width': 52, 'height': 16}}, {
                                         'chars': [{'char': '8', 'location': {'top': 1172, 'left': 492, 'width': 9, 'height': 17}},
                                                   {'char': '8', 'location': {'top': 1172, 'left': 501, 'width': 8, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1172, 'left': 508, 'width': 8, 'height': 17}},
                                                   {'char': 'b', 'location': {'top': 1172, 'left': 516, 'width': 8, 'height': 17}},
                                                   {'char': 'u', 'location': {'top': 1172, 'left': 524, 'width': 8, 'height': 17}},
                                                   {'char': 'i', 'location': {'top': 1172, 'left': 530, 'width': 9, 'height': 17}},
                                                   {'char': 'l', 'location': {'top': 1172, 'left': 537, 'width': 8, 'height': 17}},
                                                   {'char': 'd', 'location': {'top': 1172, 'left': 542, 'width': 9, 'height': 17}},
                                                   {'char': 'i', 'location': {'top': 1172, 'left': 548, 'width': 9, 'height': 17}},
                                                   {'char': 'n', 'location': {'top': 1172, 'left': 555, 'width': 8, 'height': 17}},
                                                   {'char': 'g', 'location': {'top': 1172, 'left': 563, 'width': 8, 'height': 17}}],
                                         'words': '88.building', 'location': {'top': 1172, 'left': 492, 'width': 79, 'height': 18}}, {
                                         'chars': [{'char': '3', 'location': {'top': 1207, 'left': 48, 'width': 9, 'height': 17}},
                                                   {'char': '9', 'location': {'top': 1207, 'left': 57, 'width': 9, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1207, 'left': 65, 'width': 8, 'height': 17}},
                                                   {'char': 'c', 'location': {'top': 1207, 'left': 73, 'width': 8, 'height': 17}},
                                                   {'char': 'o', 'location': {'top': 1207, 'left': 82, 'width': 8, 'height': 17}},
                                                   {'char': 'n', 'location': {'top': 1207, 'left': 89, 'width': 8, 'height': 17}},
                                                   {'char': 't', 'location': {'top': 1207, 'left': 96, 'width': 8, 'height': 17}},
                                                   {'char': 'i', 'location': {'top': 1207, 'left': 101, 'width': 9, 'height': 17}},
                                                   {'char': 'n', 'location': {'top': 1207, 'left': 108, 'width': 8, 'height': 17}},
                                                   {'char': 'u', 'location': {'top': 1207, 'left': 116, 'width': 8, 'height': 17}},
                                                   {'char': 'e', 'location': {'top': 1207, 'left': 125, 'width': 7, 'height': 17}}],
                                         'words': '39.continue', 'location': {'top': 1207, 'left': 48, 'width': 83, 'height': 17}}, {
                                         'chars': [{'char': '8', 'location': {'top': 1198, 'left': 492, 'width': 8, 'height': 15}},
                                                   {'char': '9', 'location': {'top': 1198, 'left': 501, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1198, 'left': 508, 'width': 7, 'height': 15}},
                                                   {'char': 'l', 'location': {'top': 1198, 'left': 514, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 1198, 'left': 521, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 1198, 'left': 527, 'width': 7, 'height': 15}}],
                                         'words': '89.lie', 'location': {'top': 1198, 'left': 492, 'width': 42, 'height': 15}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1232, 'left': 48, 'width': 9, 'height': 17}},
                                                   {'char': '0', 'location': {'top': 1232, 'left': 58, 'width': 8, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1232, 'left': 64, 'width': 8, 'height': 17}},
                                                   {'char': 'p', 'location': {'top': 1232, 'left': 76, 'width': 8, 'height': 17}},
                                                   {'char': 'o', 'location': {'top': 1232, 'left': 83, 'width': 9, 'height': 17}},
                                                   {'char': 'p', 'location': {'top': 1232, 'left': 91, 'width': 8, 'height': 17}},
                                                   {'char': 'u', 'location': {'top': 1232, 'left': 99, 'width': 8, 'height': 17}},
                                                   {'char': 'l', 'location': {'top': 1232, 'left': 106, 'width': 8, 'height': 17}},
                                                   {'char': 'a', 'location': {'top': 1232, 'left': 111, 'width': 9, 'height': 17}},
                                                   {'char': 'r', 'location': {'top': 1232, 'left': 118, 'width': 6, 'height': 17}}],
                                         'words': '40. popular', 'location': {'top': 1232, 'left': 48, 'width': 76, 'height': 18}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1223, 'left': 492, 'width': 8, 'height': 16}},
                                                   {'char': '0', 'location': {'top': 1223, 'left': 501, 'width': 8, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1223, 'left': 510, 'width': 7, 'height': 16}},
                                                   {'char': 'd', 'location': {'top': 1223, 'left': 517, 'width': 7, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1223, 'left': 524, 'width': 8, 'height': 16}},
                                                   {'char': 'a', 'location': {'top': 1223, 'left': 532, 'width': 8, 'height': 16}},
                                                   {'char': 'r', 'location': {'top': 1223, 'left': 540, 'width': 5, 'height': 16}}],
                                         'words': '90.dear', 'location': {'top': 1223, 'left': 492, 'width': 53, 'height': 15}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1258, 'left': 47, 'width': 8, 'height': 16}},
                                                   {'char': '1', 'location': {'top': 1258, 'left': 56, 'width': 8, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1258, 'left': 65, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 1258, 'left': 72, 'width': 7, 'height': 15}},
                                                   {'char': 'n', 'location': {'top': 1258, 'left': 79, 'width': 8, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 1258, 'left': 86, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 1258, 'left': 91, 'width': 8, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 1258, 'left': 97, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 1258, 'left': 103, 'width': 8, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 1258, 'left': 110, 'width': 8, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 1258, 'left': 117, 'width': 5, 'height': 15}}],
                                         'words': '41.interest', 'location': {'top': 1258, 'left': 47, 'width': 74, 'height': 15}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1249, 'left': 492, 'width': 8, 'height': 15}},
                                                   {'char': '1', 'location': {'top': 1249, 'left': 501, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1249, 'left': 509, 'width': 8, 'height': 15}},
                                                   {'char': 'a', 'location': {'top': 1249, 'left': 517, 'width': 7, 'height': 15}},
                                                   {'char': 'c', 'location': {'top': 1249, 'left': 525, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 1249, 'left': 533, 'width': 7, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 1249, 'left': 539, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 1249, 'left': 546, 'width': 7, 'height': 15}},
                                                   {'char': 's', 'location': {'top': 1249, 'left': 553, 'width': 6, 'height': 15}}],
                                         'words': '91.across', 'location': {'top': 1249, 'left': 492, 'width': 67, 'height': 15}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1283, 'left': 47, 'width': 9, 'height': 16}},
                                                   {'char': '2', 'location': {'top': 1283, 'left': 56, 'width': 8, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1283, 'left': 64, 'width': 8, 'height': 16}},
                                                   {'char': 'r', 'location': {'top': 1283, 'left': 71, 'width': 8, 'height': 16}},
                                                   {'char': 'a', 'location': {'top': 1283, 'left': 79, 'width': 7, 'height': 16}},
                                                   {'char': 't', 'location': {'top': 1283, 'left': 85, 'width': 8, 'height': 16}},
                                                   {'char': 'h', 'location': {'top': 1283, 'left': 92, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1283, 'left': 99, 'width': 7, 'height': 16}},
                                                   {'char': 'r', 'location': {'top': 1283, 'left': 105, 'width': 6, 'height': 16}}],
                                         'words': '42.rather', 'location': {'top': 1283, 'left': 47, 'width': 63, 'height': 16}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1274, 'left': 492, 'width': 9, 'height': 16}},
                                                   {'char': '2', 'location': {'top': 1274, 'left': 502, 'width': 7, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1274, 'left': 509, 'width': 7, 'height': 16}},
                                                   {'char': 'b', 'location': {'top': 1274, 'left': 517, 'width': 9, 'height': 16}},
                                                   {'char': 'o', 'location': {'top': 1274, 'left': 526, 'width': 8, 'height': 16}},
                                                   {'char': 'x', 'location': {'top': 1274, 'left': 535, 'width': 8, 'height': 16}}],
                                         'words': '92.box', 'location': {'top': 1274, 'left': 492, 'width': 50, 'height': 16}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1310, 'left': 47, 'width': 8, 'height': 15}},
                                                   {'char': '3', 'location': {'top': 1310, 'left': 56, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1310, 'left': 63, 'width': 7, 'height': 15}},
                                                   {'char': 'i', 'location': {'top': 1310, 'left': 70, 'width': 8, 'height': 15}},
                                                   {'char': 'm', 'location': {'top': 1310, 'left': 81, 'width': 8, 'height': 15}},
                                                   {'char': 'p', 'location': {'top': 1310, 'left': 90, 'width': 8, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 1310, 'left': 99, 'width': 7, 'height': 15}},
                                                   {'char': 'o', 'location': {'top': 1310, 'left': 105, 'width': 8, 'height': 15}},
                                                   {'char': 'v', 'location': {'top': 1310, 'left': 112, 'width': 8, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 1310, 'left': 120, 'width': 8, 'height': 15}}],
                                         'words': '43.improve', 'location': {'top': 1310, 'left': 47, 'width': 81, 'height': 16}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1299, 'left': 493, 'width': 8, 'height': 17}},
                                                   {'char': '3', 'location': {'top': 1299, 'left': 502, 'width': 8, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1299, 'left': 510, 'width': 8, 'height': 17}},
                                                   {'char': 'm', 'location': {'top': 1299, 'left': 522, 'width': 9, 'height': 17}},
                                                   {'char': 'o', 'location': {'top': 1299, 'left': 531, 'width': 8, 'height': 17}},
                                                   {'char': 'm', 'location': {'top': 1299, 'left': 544, 'width': 9, 'height': 17}},
                                                   {'char': 'e', 'location': {'top': 1299, 'left': 553, 'width': 8, 'height': 17}},
                                                   {'char': 'n', 'location': {'top': 1299, 'left': 560, 'width': 8, 'height': 17}},
                                                   {'char': 't', 'location': {'top': 1299, 'left': 567, 'width': 6, 'height': 17}}],
                                         'words': '93.moment', 'location': {'top': 1299, 'left': 493, 'width': 80, 'height': 17}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1335, 'left': 46, 'width': 8, 'height': 16}},
                                                   {'char': '4', 'location': {'top': 1335, 'left': 55, 'width': 8, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1335, 'left': 62, 'width': 8, 'height': 16}},
                                                   {'char': 's', 'location': {'top': 1335, 'left': 70, 'width': 7, 'height': 16}},
                                                   {'char': 'i', 'location': {'top': 1335, 'left': 77, 'width': 8, 'height': 16}},
                                                   {'char': 's', 'location': {'top': 1335, 'left': 82, 'width': 8, 'height': 16}},
                                                   {'char': 't', 'location': {'top': 1335, 'left': 88, 'width': 7, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1335, 'left': 94, 'width': 8, 'height': 16}},
                                                   {'char': 'r', 'location': {'top': 1335, 'left': 101, 'width': 6, 'height': 16}}],
                                         'words': '44.sister', 'location': {'top': 1335, 'left': 46, 'width': 61, 'height': 16}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1326, 'left': 493, 'width': 8, 'height': 15}},
                                                   {'char': '4', 'location': {'top': 1326, 'left': 502, 'width': 7, 'height': 15}},
                                                   {'char': '.', 'location': {'top': 1326, 'left': 510, 'width': 8, 'height': 15}},
                                                   {'char': 'f', 'location': {'top': 1326, 'left': 518, 'width': 7, 'height': 15}},
                                                   {'char': 'u', 'location': {'top': 1326, 'left': 525, 'width': 8, 'height': 15}},
                                                   {'char': 't', 'location': {'top': 1326, 'left': 532, 'width': 8, 'height': 15}},
                                                   {'char': 'u', 'location': {'top': 1326, 'left': 539, 'width': 7, 'height': 15}},
                                                   {'char': 'r', 'location': {'top': 1326, 'left': 545, 'width': 7, 'height': 15}},
                                                   {'char': 'e', 'location': {'top': 1326, 'left': 552, 'width': 6, 'height': 15}}],
                                         'words': '94.future', 'location': {'top': 1326, 'left': 493, 'width': 65, 'height': 15}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1360, 'left': 45, 'width': 9, 'height': 18}},
                                                   {'char': '5', 'location': {'top': 1360, 'left': 54, 'width': 9, 'height': 18}},
                                                   {'char': '.', 'location': {'top': 1360, 'left': 61, 'width': 9, 'height': 18}},
                                                   {'char': 's', 'location': {'top': 1360, 'left': 70, 'width': 9, 'height': 18}},
                                                   {'char': 'u', 'location': {'top': 1360, 'left': 79, 'width': 8, 'height': 18}},
                                                   {'char': 'g', 'location': {'top': 1360, 'left': 87, 'width': 9, 'height': 18}},
                                                   {'char': 'g', 'location': {'top': 1360, 'left': 94, 'width': 9, 'height': 18}},
                                                   {'char': 'e', 'location': {'top': 1360, 'left': 101, 'width': 9, 'height': 18}},
                                                   {'char': 's', 'location': {'top': 1360, 'left': 108, 'width': 9, 'height': 18}},
                                                   {'char': 't', 'location': {'top': 1360, 'left': 114, 'width': 6, 'height': 18}}],
                                         'words': '45.suggest', 'location': {'top': 1360, 'left': 45, 'width': 75, 'height': 18}},
                                     {'chars': [{'char': '口', 'location': {'top': 1359, 'left': 259, 'width': 13, 'height': 14}}], 'words': '口',
                                      'location': {'top': 1359, 'left': 259, 'width': 12, 'height': 15}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1351, 'left': 493, 'width': 8, 'height': 17}},
                                                   {'char': '5', 'location': {'top': 1351, 'left': 502, 'width': 8, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1351, 'left': 510, 'width': 8, 'height': 17}},
                                                   {'char': 's', 'location': {'top': 1351, 'left': 517, 'width': 8, 'height': 17}},
                                                   {'char': 'h', 'location': {'top': 1351, 'left': 526, 'width': 8, 'height': 17}},
                                                   {'char': 'o', 'location': {'top': 1351, 'left': 534, 'width': 8, 'height': 17}},
                                                   {'char': 'r', 'location': {'top': 1351, 'left': 542, 'width': 8, 'height': 17}},
                                                   {'char': 't', 'location': {'top': 1351, 'left': 548, 'width': 5, 'height': 17}}],
                                         'words': '95.short', 'location': {'top': 1351, 'left': 493, 'width': 60, 'height': 16}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1386, 'left': 44, 'width': 9, 'height': 16}},
                                                   {'char': '6', 'location': {'top': 1386, 'left': 54, 'width': 8, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1386, 'left': 61, 'width': 8, 'height': 16}},
                                                   {'char': 'i', 'location': {'top': 1386, 'left': 68, 'width': 8, 'height': 16}},
                                                   {'char': 'n', 'location': {'top': 1386, 'left': 77, 'width': 8, 'height': 16}},
                                                   {'char': 's', 'location': {'top': 1386, 'left': 83, 'width': 8, 'height': 16}},
                                                   {'char': 't', 'location': {'top': 1386, 'left': 89, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1386, 'left': 95, 'width': 8, 'height': 16}},
                                                   {'char': 'a', 'location': {'top': 1386, 'left': 102, 'width': 8, 'height': 16}},
                                                   {'char': 'd', 'location': {'top': 1386, 'left': 111, 'width': 7, 'height': 16}}],
                                         'words': '46.instead', 'location': {'top': 1386, 'left': 44, 'width': 73, 'height': 16}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1377, 'left': 493, 'width': 8, 'height': 16}},
                                                   {'char': '6', 'location': {'top': 1377, 'left': 503, 'width': 8, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1377, 'left': 512, 'width': 8, 'height': 16}},
                                                   {'char': 'c', 'location': {'top': 1377, 'left': 520, 'width': 7, 'height': 16}},
                                                   {'char': 'a', 'location': {'top': 1377, 'left': 527, 'width': 8, 'height': 16}},
                                                   {'char': 's', 'location': {'top': 1377, 'left': 535, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1377, 'left': 542, 'width': 7, 'height': 16}}],
                                         'words': '96.case', 'location': {'top': 1377, 'left': 493, 'width': 56, 'height': 16}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1411, 'left': 44, 'width': 9, 'height': 17}},
                                                   {'char': '7', 'location': {'top': 1411, 'left': 53, 'width': 9, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1411, 'left': 61, 'width': 9, 'height': 17}},
                                                   {'char': 'b', 'location': {'top': 1411, 'left': 70, 'width': 8, 'height': 17}},
                                                   {'char': 'e', 'location': {'top': 1411, 'left': 79, 'width': 9, 'height': 17}},
                                                   {'char': 'h', 'location': {'top': 1411, 'left': 86, 'width': 8, 'height': 17}},
                                                   {'char': 'i', 'location': {'top': 1411, 'left': 92, 'width': 9, 'height': 17}},
                                                   {'char': 'n', 'location': {'top': 1411, 'left': 99, 'width': 8, 'height': 17}},
                                                   {'char': 'd', 'location': {'top': 1411, 'left': 108, 'width': 7, 'height': 17}}],
                                         'words': '47.behind', 'location': {'top': 1411, 'left': 44, 'width': 71, 'height': 18}},
                                     {'chars': [{'char': '0', 'location': {'top': 1411, 'left': 263, 'width': 9, 'height': 15}}], 'words': '0',
                                      'location': {'top': 1411, 'left': 258, 'width': 13, 'height': 15}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1404, 'left': 494, 'width': 8, 'height': 16}},
                                                   {'char': '7', 'location': {'top': 1404, 'left': 503, 'width': 8, 'height': 16}},
                                                   {'char': '.', 'location': {'top': 1404, 'left': 512, 'width': 8, 'height': 16}},
                                                   {'char': 's', 'location': {'top': 1404, 'left': 520, 'width': 7, 'height': 16}},
                                                   {'char': 'u', 'location': {'top': 1404, 'left': 527, 'width': 8, 'height': 16}},
                                                   {'char': 'm', 'location': {'top': 1404, 'left': 537, 'width': 8, 'height': 16}},
                                                   {'char': 'm', 'location': {'top': 1404, 'left': 551, 'width': 8, 'height': 16}},
                                                   {'char': 'e', 'location': {'top': 1404, 'left': 560, 'width': 7, 'height': 16}},
                                                   {'char': 'r', 'location': {'top': 1404, 'left': 567, 'width': 7, 'height': 16}}],
                                         'words': '97.summer', 'location': {'top': 1404, 'left': 494, 'width': 80, 'height': 16}},
                                     {'chars': [{'char': '口', 'location': {'top': 1403, 'left': 709, 'width': 13, 'height': 14}}], 'words': '口',
                                      'location': {'top': 1403, 'left': 709, 'width': 13, 'height': 14}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1437, 'left': 42, 'width': 10, 'height': 19}},
                                                   {'char': '8', 'location': {'top': 1437, 'left': 52, 'width': 9, 'height': 19}},
                                                   {'char': '.', 'location': {'top': 1437, 'left': 59, 'width': 9, 'height': 19}},
                                                   {'char': 'd', 'location': {'top': 1437, 'left': 68, 'width': 9, 'height': 19}},
                                                   {'char': 'e', 'location': {'top': 1437, 'left': 76, 'width': 9, 'height': 19}},
                                                   {'char': 's', 'location': {'top': 1437, 'left': 84, 'width': 9, 'height': 19}},
                                                   {'char': 'c', 'location': {'top': 1437, 'left': 90, 'width': 9, 'height': 19}},
                                                   {'char': 'r', 'location': {'top': 1437, 'left': 96, 'width': 9, 'height': 19}},
                                                   {'char': 'i', 'location': {'top': 1437, 'left': 102, 'width': 9, 'height': 19}},
                                                   {'char': 'b', 'location': {'top': 1437, 'left': 109, 'width': 9, 'height': 19}},
                                                   {'char': 'e', 'location': {'top': 1437, 'left': 118, 'width': 15, 'height': 19}}],
                                         'words': '48.describe', 'location': {'top': 1437, 'left': 42, 'width': 91, 'height': 19}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1429, 'left': 494, 'width': 9, 'height': 17}},
                                                   {'char': '8', 'location': {'top': 1429, 'left': 503, 'width': 9, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1429, 'left': 511, 'width': 8, 'height': 17}},
                                                   {'char': 'w', 'location': {'top': 1429, 'left': 523, 'width': 8, 'height': 17}},
                                                   {'char': 'i', 'location': {'top': 1429, 'left': 531, 'width': 8, 'height': 17}},
                                                   {'char': 'f', 'location': {'top': 1429, 'left': 536, 'width': 9, 'height': 17}},
                                                   {'char': 'e', 'location': {'top': 1429, 'left': 544, 'width': 7, 'height': 17}}],
                                         'words': '98.wife', 'location': {'top': 1429, 'left': 494, 'width': 56, 'height': 17}}, {
                                         'chars': [{'char': '4', 'location': {'top': 1465, 'left': 42, 'width': 10, 'height': 18}},
                                                   {'char': '9', 'location': {'top': 1465, 'left': 52, 'width': 9, 'height': 18}},
                                                   {'char': '.', 'location': {'top': 1465, 'left': 59, 'width': 9, 'height': 18}},
                                                   {'char': 's', 'location': {'top': 1465, 'left': 66, 'width': 9, 'height': 18}},
                                                   {'char': 'l', 'location': {'top': 1465, 'left': 73, 'width': 9, 'height': 18}},
                                                   {'char': 'e', 'location': {'top': 1465, 'left': 79, 'width': 10, 'height': 18}},
                                                   {'char': 'e', 'location': {'top': 1465, 'left': 86, 'width': 9, 'height': 18}},
                                                   {'char': 'p', 'location': {'top': 1465, 'left': 95, 'width': 8, 'height': 18}}],
                                         'words': '49.sleep', 'location': {'top': 1465, 'left': 42, 'width': 60, 'height': 19}}, {
                                         'chars': [{'char': '9', 'location': {'top': 1456, 'left': 494, 'width': 9, 'height': 17}},
                                                   {'char': '9', 'location': {'top': 1456, 'left': 504, 'width': 8, 'height': 17}},
                                                   {'char': '.', 'location': {'top': 1456, 'left': 512, 'width': 8, 'height': 17}},
                                                   {'char': 'h', 'location': {'top': 1456, 'left': 520, 'width': 8, 'height': 17}},
                                                   {'char': 'e', 'location': {'top': 1456, 'left': 529, 'width': 8, 'height': 17}},
                                                   {'char': 'a', 'location': {'top': 1456, 'left': 535, 'width': 9, 'height': 17}},
                                                   {'char': 'l', 'location': {'top': 1456, 'left': 541, 'width': 8, 'height': 17}},
                                                   {'char': 't', 'location': {'top': 1456, 'left': 547, 'width': 8, 'height': 17}},
                                                   {'char': 'h', 'location': {'top': 1456, 'left': 554, 'width': 8, 'height': 17}}],
                                         'words': '99.health', 'location': {'top': 1456, 'left': 494, 'width': 67, 'height': 17}}, {
                                         'chars': [{'char': '5', 'location': {'top': 1492, 'left': 41, 'width': 10, 'height': 18}},
                                                   {'char': '0', 'location': {'top': 1492, 'left': 50, 'width': 9, 'height': 18}},
                                                   {'char': '.', 'location': {'top': 1492, 'left': 59, 'width': 9, 'height': 18}},
                                                   {'char': 'a', 'location': {'top': 1492, 'left': 66, 'width': 9, 'height': 18}},
                                                   {'char': 'c', 'location': {'top': 1492, 'left': 74, 'width': 9, 'height': 18}},
                                                   {'char': 'c', 'location': {'top': 1492, 'left': 81, 'width': 10, 'height': 18}},
                                                   {'char': 'e', 'location': {'top': 1492, 'left': 89, 'width': 9, 'height': 18}},
                                                   {'char': 'p', 'location': {'top': 1492, 'left': 96, 'width': 9, 'height': 18}},
                                                   {'char': 't', 'location': {'top': 1492, 'left': 103, 'width': 8, 'height': 18}}],
                                         'words': '50.accept', 'location': {'top': 1492, 'left': 41, 'width': 69, 'height': 19}}, {
                                         'chars': [{'char': '1', 'location': {'top': 1483, 'left': 496, 'width': 9, 'height': 19}},
                                                   {'char': '0', 'location': {'top': 1483, 'left': 505, 'width': 9, 'height': 19}},
                                                   {'char': '0', 'location': {'top': 1483, 'left': 514, 'width': 9, 'height': 19}},
                                                   {'char': '.', 'location': {'top': 1483, 'left': 520, 'width': 9, 'height': 19}},
                                                   {'char': 'c', 'location': {'top': 1483, 'left': 529, 'width': 9, 'height': 19}},
                                                   {'char': 'o', 'location': {'top': 1483, 'left': 538, 'width': 9, 'height': 19}},
                                                   {'char': 'm', 'location': {'top': 1483, 'left': 549, 'width': 10, 'height': 19}},
                                                   {'char': 'p', 'location': {'top': 1483, 'left': 559, 'width': 9, 'height': 19}},
                                                   {'char': 'a', 'location': {'top': 1483, 'left': 567, 'width': 9, 'height': 19}},
                                                   {'char': 'n', 'location': {'top': 1483, 'left': 575, 'width': 9, 'height': 19}},
                                                   {'char': 'y', 'location': {'top': 1483, 'left': 584, 'width': 7, 'height': 19}}],
                                         'words': '100.company', 'location': {'top': 1483, 'left': 496, 'width': 94, 'height': 18}}, {
                                         'chars': [{'char': '第', 'location': {'top': 1768, 'left': 494, 'width': 17, 'height': 26}},
                                                   {'char': '1', 'location': {'top': 1768, 'left': 520, 'width': 14, 'height': 25}},
                                                   {'char': '页', 'location': {'top': 1768, 'left': 537, 'width': 22, 'height': 25}},
                                                   {'char': '共', 'location': {'top': 1768, 'left': 562, 'width': 22, 'height': 25}},
                                                   {'char': '2', 'location': {'top': 1768, 'left': 592, 'width': 14, 'height': 25}},
                                                   {'char': '页', 'location': {'top': 1767, 'left': 609, 'width': 25, 'height': 26}}],
                                         'words': '第1页共2页', 'location': {'top': 1767, 'left': 494, 'width': 139, 'height': 26}}],
                    'words_result_num': 121, 'log_id': 1879054459851410853}
    return data


def clean_ocr(ocr_data):
    result = {}
    for sentence in ocr_data['words_result']:
        sentence_text: str = sentence['words']
        sentence_text_no_blank = sentence_text.replace(" ", "")

        chars_loca = sentence['chars']
        if len(sentence_text_no_blank) != len(chars_loca):
            raise Exception("句子长度 和 字符长度 不一样")

        split_word_list = sentence_text.split()
        for word in split_word_list:

            start_index = sentence_text_no_blank.index(word)

            clean_word = ""
            word_location = []
            for char_index, char in enumerate(word):
                if char.isalpha():
                    clean_word += char
                    word_location.append(chars_loca[start_index + char_index])

            if clean_word:
                result[clean_word] = word_location

    return result


def calculate_ocr(word: str, loca: list):
    calcu_average_top = int(sum([i['location']['top'] for i in loca]) / len(loca))
    calcu_average_height = int(sum([i['location']['height'] for i in loca]) / len(loca))
    calcu_average_mid = calcu_average_top + calcu_average_height // 2

    calcu_left = loca[0]['location']['left']
    calcu_rihght = loca[-1]['location']['left'] + loca[-1]['location']['width']
    calcu_width = calcu_rihght - calcu_left

    black_row_count_top = 0
    black_row_count_bottom = 0
    y_list = []
    for y_distance in range(1, int(calcu_average_height)):

        x, y, w, h = calcu_left, calcu_average_mid - y_distance, int(calcu_width * 1.5), 1
        roi = image[y:y + h, x:x + w]

        threshold_value = 120

        below_threshold_points = np.where(roi < threshold_value)

        below_threshold_points_global = (below_threshold_points[0] + y, below_threshold_points[1] + x)

        points = list(zip(below_threshold_points_global[1], below_threshold_points_global[0]))
        if not points:
            break

        x_coordinates = [point[0] for point in points]
        y_list.extend([point[1] for point in points])

        max_x = max(x_coordinates)
        min_x = min(x_coordinates)
        jicha = max_x - min_x

        if jicha / w < 0.1:
            black_row_count_top += 1

    for y_distance in range(1, int(calcu_average_height)):

        x, y, w, h = calcu_left, calcu_average_mid + y_distance, int(calcu_width * 1.5), 1
        roi = image[y:y + h, x:x + w]

        threshold_value = 120

        below_threshold_points = np.where(roi < threshold_value)

        below_threshold_points_global = (below_threshold_points[0] + y, below_threshold_points[1] + x)

        points = list(zip(below_threshold_points_global[1], below_threshold_points_global[0]))
        if not points:
            break

        x_coordinates = [point[0] for point in points]
        y_list.extend([point[1] for point in points])

        max_x = max(x_coordinates)
        min_x = min(x_coordinates)
        jicha = max_x - min_x

        if jicha / w < 0.15:
            black_row_count_bottom += 1

    if black_row_count_top > 5 or black_row_count_bottom > 5:
        print("划线了", word)
        return True

    if max(y_list) - min(y_list) > calcu_average_height * 1.2:
        print("划线了", word)
        return True


if __name__ == '__main__':
    ocr_data = get_data()
    clean_word_location = clean_ocr(ocr_data)
    print(clean_word_location)
    for word, loca in clean_word_location.items():
        calculate_ocr(word=word, loca=loca)
